<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xpath-default-namespace="http://crocode.com/textanz/alg/beans">
	<xsl:output method="html" version="4.0" encoding="UTF-8"
		indent="yes" />
		
	<xsl:template match="/">
		<html>
		    <script type="text/javascript" src="resources/sortable.js"/>
			<head>
				<link rel="stylesheet" href="resources/table.css" type="text/css"/>
			</head>
			<xsl:apply-templates/>
		</html>
	</xsl:template>

	<xsl:template match="phraseFrequencyList">
		<table class="sortable" id="pfTable">
			<tr>
				<th>Phrase</th>
				<th>Number of words</th>
				<th>Frequency</th>
			</tr>
			<xsl:apply-templates />
		</table>
	</xsl:template>

	<xsl:template match="item">
		<tr>
			<td>
				<xsl:value-of select="phrase" />
			</td>
			<td>
				<xsl:value-of select="@size" />
			</td>
			<td>
				<xsl:value-of select="@count" />
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="@* | node()">
		<xsl:apply-templates />
	</xsl:template>


</xsl:stylesheet>	